# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sebuilder"
version = "0.1.0"
authors = ["TurboToad12"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Build Scratch Everywhere! from .sb3 files"
readme = "README.md"
license-file = "LICENSE"
repository = "https://github.com/turbotoad12/sebuilder"

[[bin]]
name = "sebuilder"
path = "src/main.rs"

[dependencies.git2]
version = "0.21.0"
features = ["https"]

[dependencies.regex]
version = "1.7.3"

[dependencies.reqwest]
version = "0.13.4"
features = [
    "blocking",
    "json",
]

[dependencies.seahorse]
version = "2.2.0"

[dependencies.semver]
version = "1.0.28"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]
